# Residential proxy (konut proxy) ve kimlik bilgileri

> LocalSERP Proxy API: trafik abonelikleri, proxy kimlik bilgileri, alt kullanıcılar, kullanım ve hedeflenebilir konumlar; curl, Python ve Node.js örnekleri.

- URL: https://localserpproxy.com/tr/docs/api/residential/
- Son güncelleme: 2026-10-15
- Publisher: LocalSERP Proxy (https://localserpproxy.com)

Trafik aboneliklerini yönetin (GB başına residential ve dönen 4G/5G): proxy kimlik bilgileri, kendi kimlik bilgileri ve trafik sınırı olan alt kullanıcılar, günlük kullanım ve proxy kullanıcı adında hedefleyebileceğiniz konumlar.

**Bu sayfadaki uç noktalar**

- `GET /v1/residential/subscriptions`: Trafik aboneliklerini listele (GB başına residential ve dönen mobil proxy)
- `GET /v1/residential/subscriptions/{subscriptionId}`: Residential aboneliği al
- `PATCH /v1/residential/subscriptions/{subscriptionId}`: Adını değiştir veya otomatik yenilemeyi aç/kapat
- `POST /v1/residential/subscriptions/{subscriptionId}/reset-password`: Ana kullanıcı için yeni proxy şifresi oluştur
- `GET /v1/residential/subscriptions/{subscriptionId}/usage`: Günlük trafik kullanımı
- `GET /v1/residential/subscriptions/{subscriptionId}/sub-users`: Alt kullanıcıları listele (kendilerine ait trafik limiti olan ayrı proxy kimlik bilgileri)
- `POST /v1/residential/subscriptions/{subscriptionId}/sub-users`: Alt kullanıcı oluştur
- `PATCH /v1/residential/subscriptions/{subscriptionId}/sub-users/{subUserId}`: Alt kullanıcıyı güncelle (etiket, limit, etkinleştir/devre dışı bırak, yeni şifre)
- `DELETE /v1/residential/subscriptions/{subscriptionId}/sub-users/{subUserId}`: Alt kullanıcıyı sil
- `GET /v1/catalog/countries`: Ürünün kullanılabildiği ülkeler
- `GET /v1/catalog/countries/{countryCode}/states`: Bir ülkede hedeflenebilir eyaletler / bölgeler (US, CA, AU…)
- `GET /v1/catalog/countries/{countryCode}/cities`: Bir ülkede hedeflenebilir şehirler
- `GET /v1/catalog/countries/{countryCode}/asns`: Bir ülkede hedeflenebilir ISP'ler (ASN) — yalnızca residential

Temel URL `https://localserpproxy.com/api/v1`. Kimlik doğrulama, hatalar ve limitler için [API genel bakışına](https://localserpproxy.com/tr/docs/api/)] bakın.

## Yapışkan oturumlar

Aynı IP'yi korumak için proxy kullanıcı adına `-session-{id}-ttl-{minutes}` ekleyin: `{id}`, seçtiğiniz 1–32 harf veya rakamdan oluşur; `ttl` ise 1–30 dakikadır. Örneğin, arkasındaki cihaz çevrimdışı olduğunda IP daha erken değişebilir.

## Trafik aboneliklerini listele (GB başına residential ve dönen mobil proxy)

`GET /v1/residential/subscriptions`

Kimlik doğrulama: `Authorization: Bearer API_KEY` başlığında API anahtarı.

**Parametreler**

| Ad | Konum | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- | --- |
| `productId` | query | `residential` · `mobile-gb` | Hayır | Yalnızca bu ürün (belirtilmezse: ikisi de). |

**Yanıt** `200 OK`

```json
{
  "data": [
    {
      "id": "res_9x2m4k",
      "productId": "residential",
      "label": "Residential #1",
      "planId": "res-10",
      "status": "active",
      "trafficTotalBytes": 10000000000,
      "trafficUsedBytes": 2350000000,
      "trafficRemainingBytes": 7650000000,
      "expiresAt": null,
      "autoRenew": false,
      "username": "u7k2m9",
      "password": "PASSWORD",
      "endpoint": {
        "host": "gw.localserpproxy.com",
        "httpPort": 7777,
        "socksPort": 7778
      },
      "subUserCount": 1,
      "createdAt": "2026-10-05T14:03:11Z"
    }
  ]
}
```

*curl*

```bash
curl -s "https://localserpproxy.com/api/v1/residential/subscriptions" \
  -H "Authorization: Bearer $API_KEY"
```

*Python*

```python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/residential/subscriptions", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
```

*Node.js*

```javascript
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());
```

## Residential aboneliği al

`GET /v1/residential/subscriptions/{subscriptionId}`

Kimlik doğrulama: `Authorization: Bearer API_KEY` başlığında API anahtarı.

**Parametreler**

| Ad | Konum | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- | --- |
| `subscriptionId` | path | string | Evet | — |

**Yanıt** `200 OK`

```json
{
  "id": "res_9x2m4k",
  "productId": "residential",
  "label": "Residential #1",
  "planId": "res-10",
  "status": "active",
  "trafficTotalBytes": 10000000000,
  "trafficUsedBytes": 2350000000,
  "trafficRemainingBytes": 7650000000,
  "expiresAt": null,
  "autoRenew": false,
  "username": "u7k2m9",
  "password": "PASSWORD",
  "endpoint": {
    "host": "gw.localserpproxy.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "subUserCount": 1,
  "createdAt": "2026-10-05T14:03:11Z"
}
```

*curl*

```bash
curl -s "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k" \
  -H "Authorization: Bearer $API_KEY"
```

*Python*

```python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/residential/subscriptions/res_9x2m4k", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
```

*Node.js*

```javascript
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());
```

## Adını değiştir veya otomatik yenilemeyi aç/kapat

`PATCH /v1/residential/subscriptions/{subscriptionId}`

Kimlik doğrulama: `Authorization: Bearer API_KEY` başlığında API anahtarı.

**Parametreler**

| Ad | Konum | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- | --- |
| `subscriptionId` | path | string | Evet | — |

**İstek gövdesi**

| Alan | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- |
| `label` | string | Hayır | en fazla 60 karakter |
| `autoRenew` | boolean | Hayır | — |

*Örnek*

```json
{
  "label": "Price monitoring",
  "autoRenew": true
}
```

**Yanıt** `200 OK`

```json
{
  "id": "res_9x2m4k",
  "productId": "residential",
  "label": "Residential #1",
  "planId": "res-10",
  "status": "active",
  "trafficTotalBytes": 10000000000,
  "trafficUsedBytes": 2350000000,
  "trafficRemainingBytes": 7650000000,
  "expiresAt": null,
  "autoRenew": false,
  "username": "u7k2m9",
  "password": "PASSWORD",
  "endpoint": {
    "host": "gw.localserpproxy.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "subUserCount": 1,
  "createdAt": "2026-10-05T14:03:11Z"
}
```

*curl*

```bash
curl -s -X PATCH "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"label":"Price monitoring","autoRenew":true}'
```

*Python*

```python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.patch(f"{API}/residential/subscriptions/res_9x2m4k", headers=HEADERS, json={"label": "Price monitoring", "autoRenew": True}, timeout=30)
r.raise_for_status()
print(r.json())
```

*Node.js*

```javascript
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k`, {
  method: 'PATCH',
  headers: { Authorization: `Bearer ${process.env.API_KEY}`, 'Content-Type': 'application/json' },
  body: JSON.stringify({ label: 'Price monitoring', autoRenew: true }),
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());
```

## Ana kullanıcı için yeni bir proxy şifresi oluşturun

`POST /v1/residential/subscriptions/{subscriptionId}/reset-password`

Eski şifre, ağ geçidinde 60 saniye içinde çalışmayı durdurur.

Kimlik doğrulama: `Authorization: Bearer API_KEY` başlığında API anahtarı.

**Parametreler**

| Ad | Konum | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- | --- |
| `subscriptionId` | path | string | Evet | — |

**Yanıt** `200 OK`

```json
{
  "id": "res_9x2m4k",
  "productId": "residential",
  "label": "Residential #1",
  "planId": "res-10",
  "status": "active",
  "trafficTotalBytes": 10000000000,
  "trafficUsedBytes": 2350000000,
  "trafficRemainingBytes": 7650000000,
  "expiresAt": null,
  "autoRenew": false,
  "username": "u7k2m9",
  "password": "PASSWORD",
  "endpoint": {
    "host": "gw.localserpproxy.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "subUserCount": 1,
  "createdAt": "2026-10-05T14:03:11Z"
}
```

*curl*

```bash
curl -s -X POST "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/reset-password" \
  -H "Authorization: Bearer $API_KEY"
```

*Python*

```python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.post(f"{API}/residential/subscriptions/res_9x2m4k/reset-password", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
```

*Node.js*

```javascript
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/reset-password`, {
  method: 'POST',
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());
```

## Günlük trafik kullanımı

`GET /v1/residential/subscriptions/{subscriptionId}/usage`

Kimlik doğrulama: `Authorization: Bearer API_KEY` başlığında API anahtarı.

**Parametreler**

| Ad | Konum | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- | --- |
| `subscriptionId` | path | string | Evet | — |
| `from` | query | string (date) | Hayır | İlk gün (UTC), dahil. Varsayılan = `to` tarihinden 29 gün önce. |
| `to` | query | string (date) | Hayır | Son gün (UTC), dahil. Varsayılan = bugün. Maksimum aralık 366 gün. |
| `subUserId` | query | string | Hayır | Tek bir alt kullanıcıyla sınırla. |

**Yanıt** `200 OK`

```json
{
  "from": "2026-10-04",
  "to": "2026-10-05",
  "totalBytes": 2350000000,
  "totalRequests": 48210,
  "points": [
    {
      "date": "2026-10-04",
      "bytes": 1200000000,
      "requests": 24800
    },
    {
      "date": "2026-10-05",
      "bytes": 1150000000,
      "requests": 23410
    }
  ],
  "byCountry": [
    {
      "country": "US",
      "bytes": 2350000000
    }
  ]
}
```

*curl*

```bash
curl -s "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/usage" \
  -H "Authorization: Bearer $API_KEY"
```

*Python*

```python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/residential/subscriptions/res_9x2m4k/usage", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
```

*Node.js*

```javascript
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/usage`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());
```

## Alt kullanıcıları listele (kendi trafik limitleri olan ayrı proxy kimlik bilgileri)

`GET /v1/residential/subscriptions/{subscriptionId}/sub-users`

Kimlik doğrulama: `Authorization: Bearer API_KEY` başlığında API anahtarı.

**Parametreler**

| Ad | Konum | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- | --- |
| `subscriptionId` | path | string | Evet | — |

**Yanıt** `200 OK`

```json
{
  "data": [
    {
      "id": "sub_3m9qk2",
      "label": "Client A",
      "username": "u7k2m9_scraper",
      "password": "PASSWORD",
      "trafficLimitBytes": 5000000000,
      "trafficUsedBytes": 1200000000,
      "enabled": true,
      "createdAt": "2026-10-05T14:03:11Z"
    }
  ],
  "limit": 50
}
```

*curl*

```bash
curl -s "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/sub-users" \
  -H "Authorization: Bearer $API_KEY"
```

*Python*

```python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/residential/subscriptions/res_9x2m4k/sub-users", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
```

*Node.js*

```javascript
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/sub-users`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());
```

## Alt kullanıcı oluştur

`POST /v1/residential/subscriptions/{subscriptionId}/sub-users`

Kimlik doğrulama: `Authorization: Bearer API_KEY` başlığında API anahtarı.

**Parametreler**

| Ad | Konum | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- | --- |
| `subscriptionId` | path | string | Evet | — |

**İstek gövdesi**

| Alan | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- |
| `label` | string | Evet | en fazla 60 karakter |
| `password` | string | Hayır | Belirtilmezse otomatik oluşturulur. — en fazla 64 karakter |
| `trafficLimitBytes` | integer (int64), nullable | Hayır | ≥ 0 |

*Örnek*

```json
{
  "label": "Scraper EU",
  "trafficLimitBytes": 5000000000
}
```

**Yanıt** `201 Created`

```json
{
  "id": "sub_3m9qk2",
  "label": "Client A",
  "username": "u7k2m9_scraper",
  "password": "PASSWORD",
  "trafficLimitBytes": 5000000000,
  "trafficUsedBytes": 1200000000,
  "enabled": true,
  "createdAt": "2026-10-05T14:03:11Z"
}
```

*curl*

```bash
curl -s -X POST "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/sub-users" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"label":"Scraper EU","trafficLimitBytes":5000000000}'
```

*Python*

```python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.post(f"{API}/residential/subscriptions/res_9x2m4k/sub-users", headers=HEADERS, json={"label": "Scraper EU", "trafficLimitBytes": 5000000000}, timeout=30)
r.raise_for_status()
print(r.json())
```

*Node.js*

```javascript
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/sub-users`, {
  method: 'POST',
  headers: { Authorization: `Bearer ${process.env.API_KEY}`, 'Content-Type': 'application/json' },
  body: JSON.stringify({ label: 'Scraper EU', trafficLimitBytes: 5000000000 }),
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());
```

## Alt kullanıcıyı güncelle (etiket, limit, etkinleştir/devre dışı bırak, yeni şifre)

`PATCH /v1/residential/subscriptions/{subscriptionId}/sub-users/{subUserId}`

Kimlik doğrulama: `Authorization: Bearer API_KEY` başlığında API anahtarı.

**Parametreler**

| Ad | Konum | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- | --- |
| `subscriptionId` | path | string | Evet | — |
| `subUserId` | path | string | Evet | — |

**İstek gövdesi**

| Alan | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- |
| `label` | string | Hayır | en fazla 60 karakter |
| `trafficLimitBytes` | integer (int64), nullable | Hayır | ≥ 0 |
| `enabled` | boolean | Hayır | — |
| `regeneratePassword` | boolean | Hayır | — |

*Örnek*

```json
{
  "enabled": false
}
```

**Yanıt** `200 OK`

```json
{
  "id": "sub_3m9qk2",
  "label": "Client A",
  "username": "u7k2m9_scraper",
  "password": "PASSWORD",
  "trafficLimitBytes": 5000000000,
  "trafficUsedBytes": 1200000000,
  "enabled": true,
  "createdAt": "2026-10-05T14:03:11Z"
}
```

*curl*

```bash
curl -s -X PATCH "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"enabled":false}'
```

*Python*

```python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.patch(f"{API}/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2", headers=HEADERS, json={"enabled": False}, timeout=30)
r.raise_for_status()
print(r.json())
```

*Node.js*

```javascript
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2`, {
  method: 'PATCH',
  headers: { Authorization: `Bearer ${process.env.API_KEY}`, 'Content-Type': 'application/json' },
  body: JSON.stringify({ enabled: false }),
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());
```

## Alt kullanıcıyı sil

`DELETE /v1/residential/subscriptions/{subscriptionId}/sub-users/{subUserId}`

Kimlik doğrulama: `Authorization: Bearer API_KEY` başlığında API anahtarı.

**Parametreler**

| Ad | Konum | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- | --- |
| `subscriptionId` | path | string | Evet | — |
| `subUserId` | path | string | Evet | — |

**Yanıt** `204 No Content`

Gövde yok: yanıt durum kodudur.

*curl*

```bash
curl -s -X DELETE "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2" \
  -H "Authorization: Bearer $API_KEY"
```

*Python*

```python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.delete(f"{API}/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.status_code)  # 204: done
```

*Node.js*

```javascript
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2`, {
  method: 'DELETE',
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error(`HTTP ${res.status}`);
console.log(res.status); // 204: done
```

## Ürünün kullanılabildiği ülkeler

`GET /v1/catalog/countries`

Herkese açık: API anahtarı gerekmez.

**Parametreler**

| Ad | Konum | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- | --- |
| `product` | query | string | Hayır | Bu ürünün sunulduğu konumlarla sınırlıdır (`residential`, `mobile`, `mobile-gb`). |

**Yanıt** `200 OK`

```json
{
  "data": [
    {
      "code": "US",
      "name": "United States",
      "region": "Americas",
      "products": [
        "residential",
        "mobile",
        "mobile-gb"
      ],
      "cities": 6,
      "asns": 4,
      "carriers": 3
    }
  ]
}
```

*curl*

```bash
curl -s "https://localserpproxy.com/api/v1/catalog/countries"
```

*Python*

```python
import os
import requests

API = "https://localserpproxy.com/api/v1"

r = requests.get(f"{API}/catalog/countries", timeout=30)
r.raise_for_status()
print(r.json())
```

*Node.js*

```javascript
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/catalog/countries`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());
```

## Bir ülkede hedeflenebilen eyaletler / bölgeler (US, CA, AU…)

`GET /v1/catalog/countries/{countryCode}/states`

`-state-{state}` kullanıcı adı segmentinin değerleri. Eyalet hedeflemesi olmayan ülkeler için boş liste. ZIP kodları listelenmez: `-zip-{zip}` segmenti herhangi bir 5 haneli US ZIP kodunu kabul eder; eşleşen çıkış IP'si yoksa ağ geçidi bir hata sayfası döndürür.

Herkese açık: API anahtarı gerekmez.

**Parametreler**

| Ad | Konum | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- | --- |
| `countryCode` | path | string | Evet | ISO 3166-1 alpha-2, büyük harf. |

**Yanıt** `200 OK`

```json
{
  "data": [
    {
      "id": "ny",
      "code": "NY",
      "name": "New York",
      "cities": 0
    }
  ]
}
```

*curl*

```bash
curl -s "https://localserpproxy.com/api/v1/catalog/countries/US/states"
```

*Python*

```python
import os
import requests

API = "https://localserpproxy.com/api/v1"

r = requests.get(f"{API}/catalog/countries/US/states", timeout=30)
r.raise_for_status()
print(r.json())
```

*Node.js*

```javascript
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/catalog/countries/US/states`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());
```

## Bir ülkede hedeflenebilen şehirler

`GET /v1/catalog/countries/{countryCode}/cities`

`product=mobile` veya `product=mobile-gb` ile yalnızca 4G/5G modemlerin bulunduğu şehirler.

Herkese açık: API anahtarı gerekmez.

**Parametreler**

| Ad | Konum | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- | --- |
| `countryCode` | path | string | Evet | ISO 3166-1 alpha-2, büyük harf. |
| `product` | query | string | Hayır | Bu ürünün sunulduğu konumlarla sınırlıdır (`residential`, `mobile`, `mobile-gb`). |

**Yanıt** `200 OK`

```json
{
  "data": [
    {
      "id": "new_york",
      "name": "New York",
      "state": "ny"
    }
  ]
}
```

*curl*

```bash
curl -s "https://localserpproxy.com/api/v1/catalog/countries/US/cities"
```

*Python*

```python
import os
import requests

API = "https://localserpproxy.com/api/v1"

r = requests.get(f"{API}/catalog/countries/US/cities", timeout=30)
r.raise_for_status()
print(r.json())
```

*Node.js*

```javascript
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/catalog/countries/US/cities`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());
```

## Bir ülkede hedeflenebilen ISP'ler (ASN) — yalnızca residential proxy (konut proxy)

`GET /v1/catalog/countries/{countryCode}/asns`

Herkese açık: API anahtarı gerekmez.

**Parametreler**

| Ad | Konum | Tür | Zorunlu | Açıklama |
| --- | --- | --- | --- | --- |
| `countryCode` | path | string | Evet | ISO 3166-1 alpha-2, büyük harf. |

**Yanıt** `200 OK`

```json
{
  "data": [
    {
      "asn": 7922,
      "name": "Comcast Cable"
    }
  ]
}
```

*curl*

```bash
curl -s "https://localserpproxy.com/api/v1/catalog/countries/US/asns"
```

*Python*

```python
import os
import requests

API = "https://localserpproxy.com/api/v1"

r = requests.get(f"{API}/catalog/countries/US/asns", timeout=30)
r.raise_for_status()
print(r.json())
```

*Node.js*

```javascript
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/catalog/countries/US/asns`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());
```

---

LocalSERP Proxy: LocalSERP Proxy, yerel arama sonuçlarını, reklamları ve fiyatları şehir şehir kontrol etmek için kullanılan, kripto ile ödeme yapılan ve kimlik belgesi yüklemeyi gerektirmeyen bir ABD konut proxy hizmetidir.
